
--Written by "Werkstattleiter" 
--Hompage Edge-M-Design.de
--Date: 19.04.2014

Nooteboom = {};

function Nooteboom.prerequisitesPresent(specializations)
    return true; 
end;

function Nooteboom:deleteFinal()
    Nooteboom:superClass().deleteFinal(self);
end;

function Nooteboom:load(xmlFile)

	self.Trigger1 = Nooteboom.Trigger1;
	self.TriggerIndex1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Trigger1#index"));
	addTrigger(self.TriggerIndex1, "Trigger1", self);
	self.enteredTrigger1 = false;

end;

function Nooteboom:Trigger1(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if (g_currentMission.controlledVehicle and otherId == g_currentMission.controlledVehicle.components[1].node) or (g_currentMission.player and otherId == g_currentMission.player.rootNode) then
		if onEnter then
			self.enteredTrigger1 = true;
		end;
		if onLeave then 
			self.enteredTrigger1 = false;
		end;
	end;
end;

function Nooteboom:readStream(streamId, connection)
	
end;

function Nooteboom:writeStream(streamId, connection)	
	
end;

function Nooteboom:delete()
	
end;

function Nooteboom:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Nooteboom:keyEvent(unicode, sym, modifier, isDown)
end;

function Nooteboom:update(dt)


	
	if self.enteredTrigger1 then
		if InputBinding.isPressed(InputBinding.Nooteboom_NB_1) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.Nooteboom_NB_2) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet*(dt/10)));
		end;
				if self.animationParts[1].clip then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("Nooteboom_NB_2")), InputBinding.Nooteboom_NB_2);
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("Nooteboom_NB_1")), InputBinding.Nooteboom_NB_1);
				end;
		if InputBinding.isPressed(InputBinding.Nooteboom_NB_4) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition+(self.animationParts[2].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.Nooteboom_NB_3) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition-(self.animationParts[2].offSet*(dt/10)));
		end;
				if self.animationParts[2].clip then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("Nooteboom_NB_3")), InputBinding.Nooteboom_NB_3);
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("Nooteboom_NB_4")), InputBinding.Nooteboom_NB_4);
				end;
	end;
end;

function Nooteboom:updateTick(dt)
	
end;

function Nooteboom:onAttach(attacherVehicle)
end;	

function Nooteboom:onDetach()
	
end;

function Nooteboom:draw()

end;

function Nooteboom:onLeave()
	
end;

function Nooteboom:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;

